Get a store by stable internal ID
curl --request GET \
--url http://127.0.0.1:5185/v1/stores/{store_id}const options = {method: 'GET'};
fetch('http://127.0.0.1:5185/v1/stores/{store_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "http://127.0.0.1:5185/v1/stores/{store_id}"
response = requests.get(url)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_ids": {
"inventory_store_code": "0002",
"directory_id": "<string>"
},
"name": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"region": "UT",
"postal_code": "<string>",
"country": "US"
},
"phone": "<string>",
"contact_links": {
"telephone_uri": "<string>",
"geo_uri": "<string>"
},
"location": {
"latitude": 0,
"longitude": 0
},
"distance_m": 1,
"access_type": "consumer_state_store",
"regular_hours_available": true,
"regular_hours": {
"time_zone": "America/Denver",
"normalization_state": "normalized",
"weekly": [
{
"day": "monday",
"state": "open",
"intervals": [
{
"opens": "<string>",
"closes": "<string>"
}
]
}
],
"exceptions_known": false,
"times": {
"source_updated_at": "2023-11-07T05:31:56Z",
"retrieved_at": "2023-11-07T05:31:56Z",
"published_at": "2023-11-07T05:31:56Z"
}
},
"directory_presence": {
"state": "present",
"reported_in_latest_complete_snapshot": true,
"consecutive_missing_complete_snapshots": 1,
"last_seen_at": "2023-11-07T05:31:56Z",
"first_missing_at": "2023-11-07T05:31:56Z",
"last_missing_at": "2023-11-07T05:31:56Z",
"reviewed_at": "2023-11-07T05:31:56Z",
"missing_does_not_imply_zero_inventory": true
},
"details_times": {
"source_updated_at": "2023-11-07T05:31:56Z",
"retrieved_at": "2023-11-07T05:31:56Z",
"published_at": "2023-11-07T05:31:56Z"
},
"source_fields": {
"utah_dabs_directory": {
"name_raw": "<string>",
"address1_raw": "<string>",
"address2_raw": "<string>",
"city_raw": "<string>",
"state_raw": "<string>",
"postal_code_raw": "<string>",
"phone_raw": "<string>",
"latitude_raw": "<string>",
"longitude_raw": "<string>"
},
"utah_dabs_inventory": {
"name_raw": "<string>",
"address1_raw": "<string>",
"address2_raw": "<string>",
"city_raw": "<string>",
"state_raw": "<string>",
"postal_code_raw": "<string>",
"phone_raw": "<string>",
"latitude_raw": "<string>",
"longitude_raw": "<string>"
}
}
},
"meta": {
"snapshot": {
"publication_revision": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"published_at": "2023-11-07T05:31:56Z",
"cursor_expires_at": "2023-11-07T05:31:56Z"
},
"warnings": [
{
"code": "INVENTORY_COVERAGE_PARTIAL",
"message": "<string>"
}
]
}
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invalid_params": [
{
"name": "<string>",
"reason": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invalid_params": [
{
"name": "<string>",
"reason": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invalid_params": [
{
"name": "<string>",
"reason": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invalid_params": [
{
"name": "<string>",
"reason": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invalid_params": [
{
"name": "<string>",
"reason": "<string>"
}
]
}Get a store by stable internal ID
Get a store by stable internal ID
curl --request GET \
--url http://127.0.0.1:5185/v1/stores/{store_id}const options = {method: 'GET'};
fetch('http://127.0.0.1:5185/v1/stores/{store_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "http://127.0.0.1:5185/v1/stores/{store_id}"
response = requests.get(url)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_ids": {
"inventory_store_code": "0002",
"directory_id": "<string>"
},
"name": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"region": "UT",
"postal_code": "<string>",
"country": "US"
},
"phone": "<string>",
"contact_links": {
"telephone_uri": "<string>",
"geo_uri": "<string>"
},
"location": {
"latitude": 0,
"longitude": 0
},
"distance_m": 1,
"access_type": "consumer_state_store",
"regular_hours_available": true,
"regular_hours": {
"time_zone": "America/Denver",
"normalization_state": "normalized",
"weekly": [
{
"day": "monday",
"state": "open",
"intervals": [
{
"opens": "<string>",
"closes": "<string>"
}
]
}
],
"exceptions_known": false,
"times": {
"source_updated_at": "2023-11-07T05:31:56Z",
"retrieved_at": "2023-11-07T05:31:56Z",
"published_at": "2023-11-07T05:31:56Z"
}
},
"directory_presence": {
"state": "present",
"reported_in_latest_complete_snapshot": true,
"consecutive_missing_complete_snapshots": 1,
"last_seen_at": "2023-11-07T05:31:56Z",
"first_missing_at": "2023-11-07T05:31:56Z",
"last_missing_at": "2023-11-07T05:31:56Z",
"reviewed_at": "2023-11-07T05:31:56Z",
"missing_does_not_imply_zero_inventory": true
},
"details_times": {
"source_updated_at": "2023-11-07T05:31:56Z",
"retrieved_at": "2023-11-07T05:31:56Z",
"published_at": "2023-11-07T05:31:56Z"
},
"source_fields": {
"utah_dabs_directory": {
"name_raw": "<string>",
"address1_raw": "<string>",
"address2_raw": "<string>",
"city_raw": "<string>",
"state_raw": "<string>",
"postal_code_raw": "<string>",
"phone_raw": "<string>",
"latitude_raw": "<string>",
"longitude_raw": "<string>"
},
"utah_dabs_inventory": {
"name_raw": "<string>",
"address1_raw": "<string>",
"address2_raw": "<string>",
"city_raw": "<string>",
"state_raw": "<string>",
"postal_code_raw": "<string>",
"phone_raw": "<string>",
"latitude_raw": "<string>",
"longitude_raw": "<string>"
}
}
},
"meta": {
"snapshot": {
"publication_revision": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"published_at": "2023-11-07T05:31:56Z",
"cursor_expires_at": "2023-11-07T05:31:56Z"
},
"warnings": [
{
"code": "INVENTORY_COVERAGE_PARTIAL",
"message": "<string>"
}
]
}
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invalid_params": [
{
"name": "<string>",
"reason": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invalid_params": [
{
"name": "<string>",
"reason": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invalid_params": [
{
"name": "<string>",
"reason": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invalid_params": [
{
"name": "<string>",
"reason": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invalid_params": [
{
"name": "<string>",
"reason": "<string>"
}
]
}Headers
Strong entity tag from an earlier response.
HTTP-date fallback validator. ETag takes precedence.
Path Parameters
Stable API-owned store UUID.